<?php

	// 2. Content.

function leatherhouse_hero_img( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_area_title( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_area_desc( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_area_btn_title( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_area_btn_link( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_link_new_tab( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_content_align( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}


	// 3. Overlay.
function leatherhouse_hero_overlay_disable( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

	// Hero Section Disable + Overlay Disable (Overlay Color).
function leatherhouse_hero_overlay_color( $control ) {
	return true === (
		$control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true &&
		$control->manager->get_setting( 'leatherhouse_hero_overlay_disable' )->value() == true
	);
}

	// 4. Hero Section Meta Color.
function leatherhouse_hero_color_heading( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}

function leatherhouse_hero_text_color_disable( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}


// Hero Section SubTitle Color.
function leatherhouse_hero_caption_subtitle_title_color( $control ) {
	return true === (
		$control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true &&
		$control->manager->get_setting( 'leatherhouse_hero_text_color_disable' )->value() == true
	);
}

function leatherhouse_hero_caption_descrption_title_color( $control ) {
	return true === (
		$control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true &&
		$control->manager->get_setting( 'leatherhouse_hero_text_color_disable' )->value() == true
	);
}

// Hero Section Text Overlay.
function leatherhouse_hero_text_overlay_disable( $control ) {
	return true === ( $control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true );
}
function leatherhouse_hero_text_overlay_color( $control ) {
	return true === (
		$control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true &&
		$control->manager->get_setting( 'leatherhouse_hero_text_overlay_disable' )->value() == true
	);
}

function leatherhouse_slider_container_size( $control ) {
	return true === (
		$control->manager->get_setting( 'leatherhouse_hero_disabled' )->value() == true
	);
}
